# Function UseHideFunction

- UseHideFunction(
  hideFunction: ControlHideShowFunction,
  options?: ControlHideShowOptions,
  ): (target: any, propertyKey: string) => void

  #### Parameters

  - hideFunction: ControlHideShowFunction
  - options: ControlHideShowOptions = {}

  #### Returns (target: any, propertyKey: string) => void

  - Defined in packages/angular/form-system/src/lib/directives/control-hide-show.directive.ts:51